# 当日成交明细

`GET` `/v1/trade/execution/today`

该接口用于获取当日订单的成交明细。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | No | 股票代码，使用 `ticker.region` 格式，例如：`AAPL.US` |
| `order_id` | string | No | 订单 ID，用于指定订单 ID 查询，例如：`701276261045858304` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/trade/execution/today' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `trades` | object[] | No | 成交明细信息 |
| `└ trade_id` | string | No | 成交 ID |
| `└ order_id` | string | No | 订单 ID |
| `└ symbol` | string | No | 股票代码，使用 `ticker.region` 格式，例如：`AAPL.US` |
| `└ price` | string | No | 成交价格 |
| `└ quantity` | string | No | 成交数量 |
| `└ trade_done_at` | string | No | 成交时间，格式为时间戳 (秒) |
| `└ side` | string | No | 买卖方向。**可选值：**, `Buy` - 买入，`Sell` - 卖出 |
| `has_more` | boolean | No | 是否还有更多数据。. 每次查询最大订单数量为 1000，如果查询结果数量超过 1000，那么 has_more 就会为 true |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "trades": [
      {
        "order_id": "693664675163312128",
        "price": "388",
        "quantity": "100",
        "side": "Buy",
        "symbol": "700.HK",
        "trade_done_at": "1648611351",
        "trade_id": "693664675163312128-1648611351433741210"
      }
    ]
  }
}
```
